import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyFreeSaleService = createAsyncThunk(
  "PROVINCE_POLICY_FREE_SALE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post(
      "province_allow_poultry_sell_free_total/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
